> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Video Extend API

> Extend a completed Gemini video task by jobId and receive a new asynchronous jobId.

<Note>
  Video extension is asynchronous. Use a `jobId` from a completed Gemini video task; the endpoint returns a new `jobId` to fetch with the [Video Fetch API](/api/en/gemini/video-fetch). The `omni-flash` model does not support extension.
</Note>


## OpenAPI

````yaml openapi/en/gemini.json POST /gemini/video/extend
openapi: 3.1.0
info:
  title: Gemini API DOCS
  version: 1.0.0
  description: >-
    TTAPI Gemini API service, including Nano Banana image generation and Gemini
    video generation.
servers:
  - url: https://api.ttapi.org
security: []
paths:
  /gemini/video/extend:
    post:
      description: >-
        Extend a completed Gemini video task and receive a new jobId
        asynchronously. The source job must be SUCCESS. The omni-flash model
        does not support extension.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoExtendRequest'
      responses:
        '200':
          $ref: '#/components/responses/VideoGenerationResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    VideoExtendRequest:
      type: object
      properties:
        jobId:
          type: string
          description: >-
            jobId returned by a completed Gemini video generation or extension
            task
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
        prompt:
          type: string
          description: Prompt for the extended video
          example: >-
            Continue the scene with the camera moving through the futuristic
            city
        aspect_ratio:
          type: string
          description: Video aspect ratio. Required.
          enum:
            - '16:9'
            - '9:16'
          example: '16:9'
        resolution:
          type: string
          description: Resolution level.
          enum:
            - 720p
            - 1080p
          example: 720p
        hookUrl:
          type: string
          description: Callback URL for completion or failure notifications
          example: https://example.com/callback
      required:
        - jobId
        - prompt
        - aspect_ratio
  responses:
    VideoGenerationResponse:
      description: Submitted successfully
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                description: Task status
                example: SUCCESS
              message:
                type: string
                description: Task message
                example: success
              data:
                type: object
                properties:
                  jobId:
                    type: string
                    description: Job ID
                    example: 0ccf0606-3f32-4090-85bd-1786e4593be5
                required:
                  - jobId
            required:
              - status
              - message
              - data
            example:
              status: SUCCESS
              message: success
              data:
                jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````